> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve vector store file content

> Returns the parsed text chunks of a file.



## OpenAPI

````yaml /api-reference/vector-stores.json get /v1/vector_stores/{vector_store_id}/files/{file_id}/content
openapi: 3.1.0
info:
  title: SynapsAI Vector Stores API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/vector_stores/{vector_store_id}/files/{file_id}/content:
    get:
      summary: Retrieve vector store file content
      description: Returns the parsed text chunks of a file.
      operationId: retrieveVectorStoreFileContent
      parameters:
        - name: vector_store_id
          in: path
          required: true
          schema:
            type: string
        - name: file_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Parsed file content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VectorStoreFileContent'
        '404':
          description: Vector store or file not found
components:
  schemas:
    VectorStoreFileContent:
      type: object
      properties:
        object:
          type: string
          enum:
            - vector_store.file_content.page
        data:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              text:
                type: string
        has_more:
          type: boolean
        next_page:
          nullable: true
        file_id:
          type: string
        filename:
          type: string
          nullable: true
        attributes:
          type: object
          additionalProperties: true
          nullable: true

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.